import * as plugins from './mod.plugins.js';
import * as paths from '../paths.js';

export const run = async () => {
  const readmePath = plugins.path.join(paths.cwd, 'readme.md');
  const readmeHintsPath = plugins.path.join(paths.cwd, 'readme.hints.md');

  // Check and initialize readme.md if it doesn't exist
  const readmeExists = await plugins.smartfile.fs.fileExists(readmePath);
  if (!readmeExists) {
    await plugins.smartfile.fs.toFs(
      '# Project Readme\n\nThis is the initial readme file.',
      readmePath,
    );
    console.log('Initialized readme.md');
  } else {
    console.log('readme.md already exists');
  }

  // Check and initialize readme.hints.md if it doesn't exist
  const readmeHintsExists = await plugins.smartfile.fs.fileExists(readmeHintsPath);
  if (!readmeHintsExists) {
    await plugins.smartfile.fs.toFs(
      '# Project Readme Hints\n\nThis is the initial readme hints file.',
      readmeHintsPath,
    );
    console.log('Initialized readme.hints.md');
  } else {
    console.log('readme.hints.md already exists');
  }
};
